Protege 4.3 in OSX 10.9

classic Classic list List threaded Threaded
3 messages Options
Reply | Threaded
Open this post in threaded view
|

Protege 4.3 in OSX 10.9

Krishna Chandramouli
Hi,

I am having difficulty in opening Protege 4.3 in Mac 10.9.. even after JDK update to 7, the application crashes..

Any suggestions on how to make this work will be greatly appreciated.

Thanks,
Krishna

_______________________________________________
p4-feedback mailing list
[hidden email]
https://mailman.stanford.edu/mailman/listinfo/p4-feedback
Reply | Threaded
Open this post in threaded view
|

Re: Protege 4.3 in OSX 10.9

Jennifer Vendetti
Administrator
Hello Krishna,

I installed Mavericks and Java 7 on the Mac laptop in my office.  It
looks like the FaCT++ reasoner plug-in for Protege is causing the
crash.  The workaround to get Protege up and running is to delete this
plug-in from the "plugins" subdirectory of your Protege installation
(file name is uk.ac.manchester.cs.owl.factplusplus.jar).  After deleting
this file, I was able to launch Protege w/out any errors.

If you need a reasoner, you can still use HermiT.

Jennifer


On 10/30/2013 12:38 AM, Krishna Chandramouli wrote:

> Hi,
>
> I am having difficulty in opening Protege 4.3 in Mac 10.9.. even after JDK update to 7, the application crashes..
>
> Any suggestions on how to make this work will be greatly appreciated.
>
> Thanks,
> Krishna
>
> _______________________________________________
> p4-feedback mailing list
> [hidden email]
> https://mailman.stanford.edu/mailman/listinfo/p4-feedback

_______________________________________________
p4-feedback mailing list
[hidden email]
https://mailman.stanford.edu/mailman/listinfo/p4-feedback
Reply | Threaded
Open this post in threaded view
|

Re: Protege 4.3 in OSX 10.9

Krishna Chandramouli
Dear Jennifer,

Thanks for the hint, also, I came across a forum post suggesting to replace the Felix.jar (to the latest version), which apparently worked for me..

Best,
Krishna

On 31-Oct-2013, at 3:35 am, Jennifer Vendetti <[hidden email]> wrote:

> Hello Krishna,
>
> I installed Mavericks and Java 7 on the Mac laptop in my office.  It looks like the FaCT++ reasoner plug-in for Protege is causing the crash.  The workaround to get Protege up and running is to delete this plug-in from the "plugins" subdirectory of your Protege installation (file name is uk.ac.manchester.cs.owl.factplusplus.jar).  After deleting this file, I was able to launch Protege w/out any errors.
>
> If you need a reasoner, you can still use HermiT.
>
> Jennifer
>
>
> On 10/30/2013 12:38 AM, Krishna Chandramouli wrote:
>> Hi,
>>
>> I am having difficulty in opening Protege 4.3 in Mac 10.9.. even after JDK update to 7, the application crashes..
>>
>> Any suggestions on how to make this work will be greatly appreciated.
>>
>> Thanks,
>> Krishna
>>
>> _______________________________________________
>> p4-feedback mailing list
>> [hidden email]
>> https://mailman.stanford.edu/mailman/listinfo/p4-feedback
>
> _______________________________________________
> p4-feedback mailing list
> [hidden email]
> https://mailman.stanford.edu/mailman/listinfo/p4-feedback

_______________________________________________
p4-feedback mailing list
[hidden email]
https://mailman.stanford.edu/mailman/listinfo/p4-feedback